package com.ejie.ab39a.model;

/**
 * Municipio.
 * 
 *  
 */

public class Localidad implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private String idLocalidad;
	private String idMunicipio;
	private String idProvincia;
	private String descOf;

	/**
	 * Method 'Municipio'.
	 */
	public Localidad() {
		super();
	}

	/**
	 * Method 'Municipio'.
	 * 
	 * @param idLocalidad
	 *            String idLocalidad
	 * @param idMunicipio
	 *            String idMunicipio
	 * @param idProvincia
	 *            String idProvincia
	 * @param descOf
	 *            String descOf
	 */
	public Localidad(String idLocalidad, String idMunicipio, String idProvincia, String descOf) {
		super();
		this.idLocalidad = idLocalidad;
		this.idMunicipio = idMunicipio;
		this.idProvincia = idProvincia;
		this.descOf = descOf;
	}

	/**
	 * Method 'getIdMunicipio'.
	 *
	 * @return String
	 */

	public String getIdMunicipio() {
		return this.idMunicipio;
	}

	/**
	 * Method 'setIdMunicipio'.
	 *
	 * @param idMunicipio
	 *            String
	 */

	public void setIdMunicipio(String idMunicipio) {
		this.idMunicipio = idMunicipio;
	}

	/**
	 * Method 'getIdProvincia'.
	 *
	 * @return String
	 */

	public String getIdProvincia() {
		return this.idProvincia;
	}

	/**
	 * Method 'setIdProvincia'.
	 *
	 * @param idProvincia
	 *            String
	 */

	public void setIdProvincia(String idProvincia) {
		this.idProvincia = idProvincia;
	}

	/**
	 * Method 'getDescOf'.
	 *
	 * @return String
	 */

	public String getDescOf() {
		return this.descOf;
	}

	/**
	 * Method 'setDescOf'.
	 *
	 * @param descOf
	 *            String
	 */

	public void setDescOf(String descOf) {
		this.descOf = descOf;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta
		result.append("[ idLocalidad: ").append(this.idLocalidad).append(" ]");
		result.append("[ idMunicipio: ").append(this.idMunicipio).append(" ]");

		result.append(", [ idProvincia: ").append(this.idProvincia).append(" ]");

		result.append(", [ descOf: ").append(this.descOf).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * 
	 * @return String
	 */
	public String getIdLocalidad() {
		return idLocalidad;
	}

	/**
	 * 
	 * @param idLocalidad
	 *            String
	 */
	public void setIdLocalidad(String idLocalidad) {
		this.idLocalidad = idLocalidad;
	}

}
